import { FireEnjinTriggerInput } from "@fireenjin/sdk";
import { Color } from "@ionic/core";
import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
export declare class PhotoCarousel implements ComponentInterface {
  photoSlidesEl: HTMLIonSlidesElement;
  inputPhotoEl: any;
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  jobId: string;
  siteId: string;
  badgeColor: Color;
  addButtonColor: Color;
  hideAddButton: boolean;
  photos: any[];
  currentSlide: number;
  options: any;
  name: string;
  type: string;
  multiple: boolean;
  uploadPath: string;
  tags: string[];
  onSlideChange(): Promise<void>;
  getCurrentSlide(): Promise<number>;
  slideNext(): Promise<void>;
  slidePrev(): Promise<void>;
  slideTo(slideNumber: number): Promise<void>;
  selectFiles(): Promise<void>;
  update(): Promise<void>;
  componentDidLoad(): void;
  render(): any;
}
